Bug 469990 - [fix available] Crash when open a particular HTML file.
[fix available] Crash when open a particular HTML file.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 21:46 EST by Suqin Huang
Modified: 2009-09-02 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash message (9.10 KB, text/plain)
2008-11-04 21:46 EST, Suqin Huang
no flags Details
a reproducer (410.95 KB, text/html)
2008-11-05 03:39 EST, Caolan McNamara
no flags Details
backport of relevent bits (2.22 KB, patch)
2008-11-05 04:02 EST, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 87635 None None None Never
OpenOffice.org 89812 None None None Never

  None (edit)
Description Suqin Huang 2008-11-04 21:46:35 EST
Created attachment 322521 [details]
Crash message

Description of problem:
Openoffice crashes when open a txt file.

Version-Release number of selected component (if applicable):
openoffice.org-2.3.0-6.10.el5 x86_64 (zh_CN) 	

How reproducible:
Sometimes

Steps to Reproduce:
1. Create a txt file. (Can create with vim or other method)
2. Open one website and right click to select "View the page source". (Can use www.sina.com.cn website to have a test)
3. Copy the source and paste to the file created.
4. Open this file with openoffice.
  
Actual results:
Openoffice crashes, the error message is in the attachment.

Expected results:
The file is opened successfully and the page source is showed.

Additional info:
Comment 1 David Tardon 2008-11-05 03:08:00 EST
dtardon->shuang: Hmm, could you attach the exact file you have used? I'm not able to get any crash with current content of the webpage (the loading is incredibly slow, though).

This can be related to bug 469157, although the backtrace is different.
Comment 2 Caolan McNamara 2008-11-05 03:20:04 EST
Whatever this is it is definitely not "a txt file", that crash in is numbering from from a html file so its a crash in "a html file"
Comment 3 David Tardon 2008-11-05 03:25:52 EST
dtardon->caolanm: You're right, as always :)
Comment 4 Caolan McNamara 2008-11-05 03:39:26 EST
Created attachment 322540 [details]
a reproducer

Succeeds in F-9, fails in RHEL-5
Comment 5 Caolan McNamara 2008-11-05 04:02:34 EST
Created attachment 322545 [details]
backport of relevent bits
Comment 6 Caolan McNamara 2008-11-05 04:04:08 EST
Two bits to backport required, but that'll do the trick. Would get it for free on any rebase >= 2.4.1
Comment 7 Caolan McNamara 2009-03-12 06:01:51 EDT
committed for >= 2.3.0-6.11
Comment 11 errata-xmlrpc 2009-09-02 05:08:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1248.html

Note You need to log in before you can comment on or make changes to this bug.